Catégories
Laravel

Laravel sail + update composer

Il se peut que vous rencontriez une erreur du type « Your github oauth token for github.com contains invalid characters » si vous utilisez un token github (pour un private repo par exemple) et que la version de composer est <= 2.0.11 . Ou alors que vous souhaitiez tout simplement mettre composer à jour pour une autre raison. Pour remédier à cela, rien de plus simple !!

Plutôt que de vous lancer dans la mise à jour des images docker and co, je vais vous donner une astuce super simple qui vous permettra de résoudre ce problème facilement et rapidement.

On va commencer par lancer un terminal en root sur notre docker qui expose tout ce beau monde :

sail root-shell

Et ensuite on va simplement mettre à jour composer :

composer self-update

Et voilà, le tour est joué !

P.S. : Pour celles et ceux que ça intéresse, on peut aussi se connecter en simple user via

sail shell

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée.